using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace CallCenterApi.BLL
{
    /// <summary>
    /// T_Ask_PagerItems
    /// </summary>
    public partial class T_Ask_PagerItems
    {
        private readonly CallCenterApi.DAL.T_Ask_PagerItems dal = new CallCenterApi.DAL.T_Ask_PagerItems();
        public T_Ask_PagerItems()
        { }
        #region  Method
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_ItemId)
        {
            return dal.Exists(F_ItemId);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(CallCenterApi.Model.T_Ask_PagerItems model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(CallCenterApi.Model.T_Ask_PagerItems model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_ItemId)
        {

            return dal.Delete(F_ItemId);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteByPagerId(int F_PagerId)
        {

            return dal.DeleteByPagerId(F_PagerId);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_ItemIdlist)
        {
            return dal.DeleteList(F_ItemIdlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_Ask_PagerItems GetModel(int F_ItemId)
        {

            return dal.GetModel(F_ItemId);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_Ask_PagerItems> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_Ask_PagerItems> DataTableToList(DataTable dt)
        {
            List<CallCenterApi.Model.T_Ask_PagerItems> modelList = new List<CallCenterApi.Model.T_Ask_PagerItems>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                CallCenterApi.Model.T_Ask_PagerItems model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = new CallCenterApi.Model.T_Ask_PagerItems();
                    if (dt.Rows[n]["F_ItemId"] != null && dt.Rows[n]["F_ItemId"].ToString() != "")
                    {
                        model.F_ItemId = int.Parse(dt.Rows[n]["F_ItemId"].ToString());
                    }
                    if (dt.Rows[n]["F_PagerId"] != null && dt.Rows[n]["F_PagerId"].ToString() != "")
                    {
                        model.F_PagerId = int.Parse(dt.Rows[n]["F_PagerId"].ToString());
                    }
                    if (dt.Rows[n]["F_QuestionId"] != null && dt.Rows[n]["F_QuestionId"].ToString() != "")
                    {
                        model.F_QuestionId = int.Parse(dt.Rows[n]["F_QuestionId"].ToString());
                    }
                    if (dt.Rows[n]["F_Remark"] != null && dt.Rows[n]["F_Remark"].ToString() != "")
                    {
                        model.F_Remark = dt.Rows[n]["F_Remark"].ToString();
                    }
                    if (dt.Rows[n]["F_Sort"] != null && dt.Rows[n]["F_Sort"].ToString() != "")
                    {
                        model.F_Sort = int.Parse(dt.Rows[n]["F_Sort"].ToString());
                    }
                    if (dt.Rows[n]["F_Score"] != null && dt.Rows[n]["F_Score"].ToString() != "")
                    {
                        model.F_Score = int.Parse(dt.Rows[n]["F_Score"].ToString());
                    }
                    modelList.Add(model);
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        //public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        //{
        //return dal.GetList(PageSize,PageIndex,strWhere);
        //}

        #endregion  Method
    }
}

